TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get jetton wallets

GET
/api/v3/jetton/wallets

Query jetton wallets that match the specified filters.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

address?array<string>

Jetton wallet address in any form. Maximum: 1000 addresses.

owner_address?array<string>

Address of the jetton wallet owner in any form. Maximum: 1000 addresses.

jetton_address?array<string>

Jetton master address in any form.

exclude_zero_balance?boolean

Exclude jetton wallets with a zero balance.

limit?integer

Limit the number of rows to return. Use with offset to batch requests.

Formatint32
Range1 <= value <= 1000
Default10
offset?integer

Skip the first N rows. Use with limit to batch requests.

Formatint32
Range0 <= value
Default0
sort?string

Sort jetton wallets by balance. Results may be inconsistent while paginating with limit and offset.

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/jetton/wallets"
{  "address_book": {    "property1": {      "domain": "string",      "interfaces": [        "string"      ],      "user_friendly": "string"    },    "property2": {      "domain": "string",      "interfaces": [        "string"      ],      "user_friendly": "string"    }  },  "jetton_wallets": [    {      "address": "string",      "balance": "string",      "code_hash": "string",      "data_hash": "string",      "jetton": "string",      "last_transaction_lt": "0",      "mintless_info": {        "amount": "string",        "custom_payload_api_uri": [          "string"        ],        "expire_at": 0,        "start_from": 0      },      "owner": "string"    }  ],  "metadata": {    "property1": {      "is_indexed": true,      "token_info": [        {          "description": "string",          "extra": {},          "image": "string",          "is_nsfw": true,          "is_scam": true,          "name": "string",          "nft_index": "string",          "symbol": "string",          "type": "string",          "valid": true        }      ]    },    "property2": {      "is_indexed": true,      "token_info": [        {          "description": "string",          "extra": {},          "image": "string",          "is_nsfw": true,          "is_scam": true,          "name": "string",          "nft_index": "string",          "symbol": "string",          "type": "string",          "valid": true        }      ]    }  }}